2009-09-23 15:49  malo_pichot

	* src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  DEBUG: L'indexation de documents ne fonctionnait pas dans le cas
	  d'une base de documents avec un entrepôt OAI.

2009-09-23 15:02  malo_pichot

	* src/:
	  java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java,
	  java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  java/fr/gouv/culture/sdx/exception/errors_en.properties,
	  java/fr/gouv/culture/sdx/exception/errors_fr.properties,
	  java/fr/gouv/culture/sdx/utils/logging/LoggingIndexation.java,
	  webapp/sdx/sitemap.xmap, webapp/sdxtest/conf/application.xconf:
	  DEBUG: Un log spécifque à l'indexation permettant de suivre le
	  processus d'indexation en cours (LoggingIndexation.toSAX()) et
	  d'avoir un résumé dans les logs
	  (WEB-INF/logs/publication-{yyyyMMdd}.log).

2009-06-29 09:17  malo_pichot

	* src/java/fr/gouv/culture/sdx/: application/Application.java,
	  utils/constants/ContextKeys.java:
	  ADD: Ajout de 2 paramètres de configuration d'applications SDX indiquant que
	  le datadir est partagé (cas d'un cluster d'applications) et de quoi régler le
	  niveau du log d'indexation à venir.

2009-06-29 09:17  malo_pichot

	* src/java/fr/gouv/culture/sdx/utils/: AbstractSdxObject.java,
	  xml/AbstractSdxXMLPipe.java:
	  DEBUG: Une exception jamais catchée.

2009-06-29 09:17  malo_pichot

	* src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java:
		DEBUG: Blocs try/catch mal terminés.

2009-06-29 09:16  malo_pichot

	* src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  exception/SDXExceptionCode.java:
	  MODIF: Ajout d'un message pour l'exception lancée lors de la configuration
	  de l'index Lucene.

2009-06-29 09:16  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  DEBUG: Mauvais appel pour l'optimisation de l'index Lucene après
	  la fusion des batchs.

2009-06-23 10:49  malo_pichot

	* src/java/fr/gouv/culture/sdx/application/Application.java:
		ADD: Un nouvel attribut de configuration pour indiquer que les données
	  (datadir) sont partagées par plusieurs application (ie, un cluster
	  d'application SDX).

2009-06-22 17:06  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java:
	  DEBUG: L'attribut de configuration "oai-id-prefix" était obligatoire.

2009-06-22 17:06  malo_pichot

	* src/java/fr/gouv/culture/sdx/exception/: SDXExceptionCode.java,
	  errors_en.properties, errors_fr.properties:
	  ADD: Gestion des erreurs de dévérouillage des index Lucene.

2009-06-22 17:05  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java:
	  DEBUG: SDX ne trouvait pas l'entrepôt OAI dans le cas où il n'y
	  avait pas d'entrepôt OAI par défaut.

2009-06-22 17:03  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  DEBUG: Lors d'une fusion d'index, on finit par s'assurer que
	  l'index est bien dévérouillé.

2009-06-22 17:03  malo_pichot

	* src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  DEBUG: On réactive l'optimisation de la base de documents en fin
	  d'indexation.

2009-06-22 11:06  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  MODIF: Optimisation des index Lucene après fusion suivant le
	  paramètre de configuration (autoOptimize).

2009-06-22 11:06  malo_pichot

	* src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  DEBUG: Ménage dans les commandes d'optimisation dans le processus
	  d'indexation.

2009-06-22 11:06  malo_pichot

	* src/java/fr/gouv/culture/sdx/utils/lucene/LuceneDataStore.java:
	  ADD: Nouvelles méthodes permettant d'appeler un IndexWriter avec
	  un create="true".

2009-06-22 11:06  malo_pichot

	* src/java/fr/gouv/culture/sdx/exception/: SDXExceptionCode.java,
	  errors_en.properties, errors_fr.properties:
	  ADD: Gestion d'erreurs de fusion d'index.

2009-06-19 15:32  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/query/LuceneIndex.java:
	  DEBUG: L'indexation de document(s) pouvait provoquer une erreur
	  lors de la fusion de l'index Lucene principale avec l'index en
	  mémoire (RAMDirectory). Ce problème a été rencontré dans un
	  environnement Windows Server 2003 x64 bits uniquement, sur un
	  index Lucene de plus de 300 Mo, avec un autoOptimize="true" sur
	  l'index Lucene (f. application.xconf). Désormais, on utilise la
	  méthode Michael McCandless : on fusionne l'index temporaire
	  directement avec l'index principale. Lucene est assez bien conçu
	  pour cela ne perturbe pas les requêtes exécutées dan s le
	  temps de la fusion (les IndexSearcher sont bloqués sur le
	  snapshot créé au moment de la fusion).

2009-06-18 16:10  malo_pichot

	* src/java/fr/gouv/culture/sdx/: utils/lucene/LuceneDataStore.java,
	  search/lucene/query/LuceneIndex.java:
	  DEBUG: NPE sur des messages d'erreur.

2009-06-18 16:08  malo_pichot

	* src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  documentbase/SDXDocumentBase.java,
	  search/lucene/query/LuceneIndex.java,
	  utils/lucene/LuceneDataStore.java:
	  DEBUG: L'indexation de document(s) pouvait provoquer une erreur lors de la
	  fusion de l'index Lucene principale avec l'index en mémoire (RAMDirectory).
	  Ce problème a été rencontré dans un environnement Windows Server
	  2003 x64 bits uniquement, sur un index Lucene de plus de 300 Mo,
	  avec un autoOptimize="true" sur l'index Lucene (f.
	  application.xconf). Désormais, on s'en remet à Lucene pour :
	  copier le contenu de l'index fusionner en lieu et place de
	  l'index principale (sdx-search-index/main).

2009-06-18 16:07  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java:
	  NEW: On analyse la requête pour permettre la surbrillance de
	  bouts de texte (expression et autre) issus d'une requête "field"
	  ou "word".  Le danger est de mettre en surbrillance des choses
	  que l'utilisateur n'a pas exactement recherché : l'utilisateur
	  recherche "Torpilleur Escadre" sur un critere "field" et le bout
	  de texte en surbrillance est "torpilleur en escadre".

2009-06-08 13:53  trasher

	* src/java/fr/gouv/culture/sdx/logicsheet/sdx-queries.xsl:
		DEBUG: sdx:sort/sdx:field renvoyait 'descending' qui n'était pas matché
	  dans la logicsheet

2009-03-23 11:56  malo_pichot

	* src/java/fr/gouv/culture/sdx/: exception/SDXException.java,
	  utils/logging/LoggingUtils.java:
	  MODIF: Changement de la gestion des messages d'erreurs.

2009-03-23 11:56  malo_pichot

	* src/java/fr/gouv/culture/oai/: AbstractOAIRepository.java,
	  OAIResponseImpl.java:
	  DEBUG: Correction de la sortie de l'erreur en absence de verbe :
	  error/@code=badVerb au lieu de error/@code=badArgument.

2009-03-23 11:56  malo_pichot

	* src/: java/fr/gouv/culture/oai/OAIComponentImpl.java,
	  java/fr/gouv/culture/sdx/documentbase/DocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/LuceneDocumentBase.java,
	  java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java,
	  java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java,
	  java/fr/gouv/culture/sdx/oai/DocumentBaseOAIRepository.java,
	  java/fr/gouv/culture/sdx/oai/LuceneDocumentBaseOAIRepository.java,
	  webapp/sdx/oai/oai.xsp,
	  java/fr/gouv/culture/sdx/documentbase/AbstractDocumentBase.java:
	  ADD: Pouvoir définir plusieurs entrepôts OAI pour une même base
	  de documents.

2009-03-23 11:46  malo_pichot

	* src/java/fr/gouv/culture/sdx/utils/Utilities.java:
		DEBUG: Correction de la sortie des messages de débogage.

2009-03-23 11:46  malo_pichot

	* src/webapp/sdx/: sitemap.xmap, oai/oai-repo.xsl:
		MODIF: Modification de la gestion de la sortie XML d'un entrepôt OAI.
	  Une XSL est plus souple.

2009-01-29 17:59  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/DefaultQueryParser.jj:
	  NEW: Le QueryParser est capable d'utiliser la troncature avec
	  l'opérateur "$" (opérateur forçant l'utilisation de l'analyseur
	  du champ de recherche).

2009-01-29 17:59  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/AnalyzeString.java:
	  NEW: Pouvoir utiliser un analyseur de mots en statique, pas
	  forcément un analyseur de SDX
	  (fr.gouv.culture.sdx.search.lucene.analysis.Analyzer_[a-z]).

2008-12-09 14:57  malo_pichot

	* src/java/fr/gouv/culture/sdx/utils/logging/LoggingUtils.java:
	  MODIF: Meilleure gestion des logs suivant le niveau de verbosité
	  du log cible.

2008-12-09 14:56  malo_pichot

	* src/java/fr/gouv/culture/sdx/search/lucene/analysis/:
	  Analyzer_de.java, Analyzer_ru.java:
	  DEBUG: Les analyseurs allemands et russes ne fonctionnaient pas.

2008-06-18 14:20  malo_pichot

	* src/java/fr/gouv/culture/sdx/oai/OAIEnvelopStripper.java:
		DEBUG: L'OAIEnvelopStripper supprimait tout élément appartenant à
	  l'espace de nom OAI 2.0 (http://www.openarchives.org/OAI/2.0/).
	  Ceci posait problème pour les éléments de "metadata" qui
	  n'appartenaient à aucun espace de noms et donc étaient considérés
	  comme appartenant à l'espace de nom OAI 2.0.
	  En FIXME, du code pour forcer le parseur à ne pas recopier l'espace de nom
	  OAI 2.0 pour ces éléments. A voir si cela est utile et judicieux.

2008-05-26 11:58  malo_pichot

	* src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  INFO: Un peut d'information lorsque SDX configure une base de
	  documents avec optimisation programmée et lorsque cette
	  optimisation se fait effectivement.

2008-05-26 10:13  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/QueryParser.java:
	  DEBUG: L'analyseur spécial ne fonctionnait plus (SPECIAL
	  ANALYSER: `$`).

2008-05-26 09:54  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: Interception d'une erreur pour le moissonneur OAI en cas
	  où le répertoire de stockage temporaire n'a pas été créé.

2008-05-26 09:52  malo_pichot

	* src/java/fr/gouv/culture/sdx/search/lucene/:
	  queryparser/DefaultQueryParser.jj,
	  queryparser/ZeroPositionIncrementTokenQueryParser.jj,
	  query/SimpleQuery.java:
	  DEBUG: L'analyseur spécial ne fonctionnait plus (SPECIAL ANALYSER: `$`).


2008-04-11 10:28  malo_pichot

	* lib/optional/: activation_jaf_1.1.1.jar, javamail_1.4.1.jar:
	  ADD: 2 librairies Java nécessaires pour l'envoie de courriels.

2008-04-11 10:25  malo_pichot

	* lib/optional/cocoon-mail-block.jar:
		DEBUG: Le "'wrapper" Cocoon pour SendMail n'était pas correct.

2008-04-04 16:12  msevigny

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/queryparser/DefaultQueryParser.jj:
	  ADD: Ajout des minuscules pour OU, ET, SAUF...

2008-04-02 12:25  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl:
		DEBUG: L'ajout de requête dans l'historique pouvait provoquer une erreur
	  dans le cas où la session de l'utilisateur n'existait pas.

	  MODIF: Ajout du TimeZone de la date de la requête dans
	  l'historique de requêtes pour pouvoir la transcrire correctement
	  avec les outils Java/XSLT.

2008-04-02 04:34  msevigny

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/analysis/Analyzer_fr.java:
	  MODIF: Mots vides avant accents : donc on peut distinguer maïs de mais.

2008-03-31 11:13  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl:
		DEBUG: L'ajout d'un attribut xml:id dans l'historique des requêtes est
	  une mauvaise idée. Sa gestion diffère suivant Java 1.4 ou 1.5 et
	  1.6.

2008-03-23 21:56  msevigny

	*
	  src/java/fr/gouv/culture/sdx/search/lucene/highlight/LuceneTermHighlighter.java:
	  DEBUG: Correction d'un bogue sur le highlighting.

2008-03-17 09:51  malo_pichot

	* lib/optional/jtds-1.2.2.jar,
	  src/java/fr/gouv/culture/sdx/utils/database/MSSQLDatabase.java:
	  NEW: Prise en charge de MS SQL Server (Vincent Leconte -
	  Mobydoc).

2008-03-12 13:42  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  MODIF: On crée désormais le dossier de moisson OAI dès la configuration
	  de l'application. Ca devrait nous permettre dans  le futur de
	  déconnecter la moisson de l'indexation par exemple.

2008-03-11 16:55  malo_pichot

	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIHarvester.java:
	  DEBUG: Le moissonneur OAI ne fonctionnait pas avec SAXON. En
	  fait, le moissonneur lançait une indexation comme le ferait une
	  page d'indexation dans navigateur web : demandant à recevoir les
	  évènements SAX du processus d'indexation pour construite une page
	  XML résumant le processus. Désormais le moissonneur lance
	  l'indexation et n'attend pas le résumé XML.

2008-03-05 16:26  malo_pichot

	* lib/core/logkit-1.2.2.jar:
		MODIF: La librairie lokgit 1.2 est inutile
	  depuis la mise à jour Cocoon 2.1.10 fournie avec la version 2.1
	  de logkit.

2008-03-05 16:02  malo_pichot

	* src/java/fr/gouv/culture/sdx/:
	  documentbase/LuceneDocumentBase.java,
	  search/lucene/query/Index.java,
	  search/lucene/query/LuceneIndex.java:
	  NEW: Plusieurs applications SDX peuvent partager les mêmes index.

2008-02-29 15:07  malo_pichot

	* lib/optional/cocoon-fop-0.2x-block.jar, src/webapp/sitemap.xmap:
	  MODIF: Ajout du block Cocoon qui convient pour FOP 0.2x et la
	  déclaration du serializer dans la Sitemap. Cette déclaration est
	  commentée. Pour activer la prise en charge de FOP 0.2x, il faut
	  décommenter cette déclaration et copier le JAR de FOP qui
	  convient dans WEB-INF/lib de l'application web.

2008-02-29 14:29  malo_pichot

	* src/java/fr/gouv/culture/sdx/utils/Utilities.java:
		DEBUG: La méthode resolveFile ne fonctionnait pas sous Windows lorsque
	  l'URL demandée était relative et débutait par un slash "/".

2008-02-27 13:13  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx.xsl:
	  DEBUG: Il n'était plus possible de s'identifier dans l'interface
	  d'administration de SDX.

2008-02-27 12:39  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/sdx-actions.xsl:
		DEBUG: NPE sur les balises userIsAdmin, userIsSU et userIAdminOrSU.

2008-02-27 12:39  malo_pichot

	* src/java/fr/gouv/culture/sdx/framework/FrameworkImpl.java:
		DEBUG: java.io.File().toURL est déprécié. On utilise
		java.io.File().toURI().toURL() à la place.

2008-02-27 12:39  malo_pichot

	* src/java/fr/gouv/culture/: oai/AbstractOAIHarvester.java,
	  sdx/oai/AbstractDocumentBaseOAIHarvester.java,
	  util/apache/cocoon/xml/AbstractSynchronizedXMLPipe.java:
	  DEBUG: Le moissonneur OAI ne fonctionnait pas.

2008-02-27 12:39  malo_pichot

	* src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  MODIF: Plus d'informations sur la configuration d'une base de
	  documents.

2008-02-19 11:57  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/sdx-parameters.xsl:
	  DEBUG: sdx:file accepte maintenant des URL
	  (file:///mon/fichier.xml) en plus des noms de fichiers complets
	  (/mon/fichier.xml).

2008-02-05 22:06  malo_pichot

	  src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  DEBUG: Les sdx:fragment n'étaient pas correctement déclarés. Il
	  manquait les start/endMappingPrefix.

2008-01-28 13:57  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/sdx.xsl:
		DEBUG: La fonction setShowSession ne fonctionnait pas quand la session de
	  l'utilisation n'existait pas.

2008-01-23 13:52  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/oai/AbstractDocumentBaseOAIRepository.java:
	  DEBUG: Raccourcir le nom de la table SQL de l'entrepôt OAI.

2008-01-21 16:18  malo_pichot

	* src/webapp/WEB-INF/cocoon.xconf,
	  lib/optional/cocoon-cron-block.jar,
	  lib/optional/quartz-1.5.2.jar:
	  DEBUG: Le cron de Cocoon ne fonctionnait pas avec SDX 2.4.

2008-01-21 16:17  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx-parameters.xsl, sdx.xsl:
	  NEW: Ajout d'un nouvel attribut de sdx:page : create-session = "true | false"
	  permettant de ne pas créer systématiquement une session lorsqu'on utilise la taglib de
	  SDX.
	  Par défaut, create-session="true".

2008-01-18 17:03  malo_pichot

	* src/java/fr/gouv/culture/sdx/thesaurus/LuceneQueryExpander.java:
	  DEBUG: L'ExpandQuery ne reconstruisait pas correctement la
	  requête.

2008-01-14 14:14  malo_pichot

	* src/: webapp/sdx/sitemap.xmap, webapp/sdx/oai/harvest.xsp,
	  webapp/sdx/oai/oai.xsp,
	  java/fr/gouv/culture/oai/AbstractOAIHarvester.java,
	  java/fr/gouv/culture/oai/OAIRequestImpl.java,
	  java/fr/gouv/culture/oai/OAIResponseImpl.java,
	  java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  DEBUG: L'entrepôt OAI ne fonctionnait plus correctement avec
	  Saxon 8. Désormais, il ne fonctionne qu'avec Saxon 8.

2008-01-07 11:49  malo_pichot

	* src/java/fr/gouv/culture/sdx/:
	  search/lucene/highlight/LuceneTermHighlighter.java,
	  utils/lucene/LuceneTools.java:
	  NEW: Surlignage des expressions recherchées.

2008-01-02 16:11  malo_pichot

	* src/:
	  java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurusBuilder.java,
	  java/fr/gouv/culture/sdx/thesaurus/Thesaurus.java,
	  webapp/sdxtest/conf/application.xconf,
	  webapp/sdxtest/conf/dico.xsl:
	  DEBUG: L'indexation des thésaurus ne fonctionnait pas dans SDX 2.4 : il faut
	  forcer Saxon a créer les concepts dans l'espace de nom
	  "http://sdx.culture.fr/thesaurus/1.0". Pour le moment, on le fait
	  via une transformation XSL, il serait plus propre de la faire
	  dans les classes Java *ThesaurusBuilder de SDX.

2007-12-17 13:47  malo_pichot

	* src/java/fr/gouv/culture/sdx/logicsheet/: sdx-actions.xsl,
	  sdx-parameters.xsl:
	  DEBUG: La fonction sdx:addToCaddy était contre-performante lorsqu'on *
	  ajoutait des paramètres supplémentaires via sdx:parameter.

2007-12-03 16:36  malo_pichot

	* src/webapp/sitemap.xmap:
		DEBUG: Il manquait le matcher de type "request".

2007-11-13 15:01  malo_pichot

	* src/webapp/WEB-INF/cocoon.xconf,
	  lib/optional/cocoon-auth-block.jar, src/webapp/sitemap.xmap:
	  NEW: tools to use Cocoon authentication block.

2007-11-13 15:01  malo_pichot

	*
	  src/java/fr/gouv/culture/sdx/document/AbstractIndexableDocument.java:
	  DEBUG: it was not possible to use "xml" field since the update
	  of Saxon 8.x.

2007-10-26 17:34  malo_pichot

	* src/java/fr/gouv/culture/sdx/application/Application.java:
		DEBUG: SDX does not resolve correctly the FSRepository path since the
	  implementation of sdx:application/@dataDir.

2007-10-26 16:59  malo_pichot

	* src/java/fr/gouv/culture/sdx/: application/Application.java,
	  repository/FSRepository.java, utils/Utilities.java:
	  DEBUG: SDX does not resolve correctly the FSRepository path since the
	  implementation of sdx:application/@dataDir.

2007-10-18 10:23  msevigny

	* src/java/fr/gouv/culture/sdx/utils/Date.java:
		First try an ISO8601 format including TimeZone

2007-10-12 13:12  malo_pichot

	* src/webapp/sdx/admin/xsl/explorer.xsl:
		DEBUG : erreur XSL dans l'explorateur de bases de documents.

2007-10-11 16:18  malo_pichot

	* src/java/fr/gouv/culture/sdx/thesaurus/LuceneThesaurus.java:
	  COMMENT : un bogue ? toute résolution d'URL relative pour ce
	  qui doit entrer dans le datadir (par exemple le FSRepository) se
	  fait relativement au dossier "conf" de l'application, non plus
	  relativement au fichier de configuration déclarant l'URL
	  relative.

2007-10-11 16:17  malo_pichot

	* src/java/fr/gouv/culture/sdx/:
	  utils/configuration/ConfigurationUtils.java,
	  application/Application.java,
	  documentbase/AbstractDocumentBase.java,
	  documentbase/SDXDocumentBase.java, framework/FrameworkImpl.java,
	  repository/FSRepository.java, search/lucene/FieldList.java,
	  thesaurus/AbstractThesaurus.java, exception/SDXException.java:
	  DEBUG : amélioration du système de logs de SDX pour ne pas sortir
	  un log de niveau ERROR alors qu'on ne souhaite qu'un niveau INFO
	  ou WARN. Ca corrige, entre autres, le log WARN indiquant
	  l'absence de base sdx:users.

2007-10-04 09:28  msevigny

	* src/: java/fr/gouv/culture/sdx/sitemap/DocumentReader.java,
	  java/fr/gouv/culture/sdx/utils/constants/Node.java,
	  webapp/sdx/sitemap.xmap: Support de appbypath pour getatt

2007-10-02 13:11  msevigny

	* build.xml: Enable Oracle by default.

2007-10-02 13:10  msevigny

	* src/webapp/WEB-INF/web.xml: Preload database drivers for MySQL,
	  HSQL, PostGreSQL and Oracle, shipped with SDX.

2007-10-02 13:07  msevigny

	* src/java/fr/gouv/culture/sdx/: repository/ORACLERepository.java,
	  utils/database/ORACLEDatabase.java: New implementation,
	  optimized, works well with 1.4 driver.

2007-10-02 13:05  msevigny

	* src/java/fr/gouv/culture/sdx/documentbase/SDXDocumentBase.java:
	  Makre sure index is optimized even after the addition of one
	  document

2007-10-02 13:04  msevigny

	* lib/optional/: ojdbc14-10.2.0.3.jar,
	  postgresql-8.2-506.jdbc3.jar: JDBC for Oracle and PostgreSQL

2007-09-19 17:48  malo_pichot

	  SDX 2.4. Chargement initial.

